{
    "security.workspace.trust.enabled": false,
    "editor.multiCursorModifier": "ctrlCmd",
    "editor.formatOnPaste": false,
    "workbench.iconTheme": "eq-material-theme-icons",
    "editor.fontFamily": "'FiraCode Nerd Font', 'Droid Sans Mono', 'monospace', monospace, 'Droid Sans Fallback'",
    "editor.fontLigatures": true,
    "workbench.startupEditor": "none",
    "[rust]": {
        "editor.formatOnSave": true,
    },
    "[php]": {
        "editor.formatOnSave": false
    },
    "workbench.colorCustomizations": {
        "[Material Theme Darker High Contrast]": {
            "activityBarBadge.background": "#FFA000",
            "activityBar.activeBorder": "#FFA000",
            "list.activeSelectionForeground": "#FFA000",
            "list.inactiveSelectionForeground": "#FFA000",
            "list.highlightForeground": "#FFA000",
            "scrollbarSlider.activeBackground": "#FFA00050",
            "editorSuggestWidget.highlightForeground": "#FFA000",
            "textLink.foreground": "#FFA000",
            "progressBar.background": "#FFA000",
            "pickerGroup.foreground": "#FFA000",
            "tab.activeBorder": "#FFA000",
            "notificationLink.foreground": "#FFA000",
            "editorWidget.resizeBorder": "#FFA000",
            "editorWidget.border": "#FFA000",
            "settings.modifiedItemIndicator": "#FFA000",
            "settings.headerForeground": "#FFA000",
            "panelTitle.activeBorder": "#FFA000",
            "breadcrumb.activeSelectionForeground": "#FFA000",
            "menu.selectionForeground": "#FFA000",
            "menubar.selectionForeground": "#FFA000",
            "editor.findMatchBorder": "#FFA000",
            "selection.background": "#FFA00040",
            "statusBarItem.remoteBackground": "#FFA000"
        }
    },
    "workbench.colorTheme": "Material Theme Darker High Contrast",
    "materialTheme.accent": "Yellow",
    "explorer.confirmDragAndDrop": false,
    "[json]": {
        "editor.defaultFormatter": "denoland.vscode-deno"
    },
    "errorLens.fontWeight": "bold",
    "errorLens.gutterIconsEnabled": true,
    "explorer.confirmDelete": false,
    "rust-analyzer.checkOnSave.command": "clippy",
    "git.enableSmartCommit": true,
    "git.confirmSync": false,
    "git.autofetch": true,
    "redhat.telemetry.enabled": false,
    "intelephense.format.braces": "k&r",
    "workbench.editorAssociations": {
        "*.md": "default",
        "*.csv": "default"
    },
    "terminal.integrated.enablePersistentSessions": false,
    "terminal.integrated.persistentSessionReviveProcess": "never",
    "[javascript]": {
        "editor.defaultFormatter": "vscode.typescript-language-features"
    },
    "editor.inlayHints.enabled": "on",
    "[c]": {
        "editor.defaultFormatter": "xaver.clang-format",
        "editor.formatOnSave": false
    },
    "files.associations": {
        "*.ctest": "c",
        "*.cc": "cpp",
        "*.hh": "cpp",
        "*.h": "cpp",
        "*.tih": "pascal",
        "*.toml": "toml"
    },
    "c-cpp-flylint.clang.language": "C++", // C
    "c-cpp-flylint.cppcheck.standard": [
        "c++20" // c99
    ],
    "c-cpp-flylint.clang.standard": [
        "c++20" // c99
    ],
    "[markdown]": {
        "editor.unicodeHighlight.ambiguousCharacters": false,
        "editor.unicodeHighlight.invisibleCharacters": false,
        "editor.wordWrap": "on",
        "editor.quickSuggestions": {
            "comments": "off",
            "strings": "off",
            "other": "off"
        },
        "editor.formatOnSave": false
    },
    "[typescript]": {
        "editor.defaultFormatter": "denoland.vscode-deno"
    },
    "editor.rulers": [
        80,
        120,
        200
    ],
    "editor.maxTokenizationLineLength": 9999999,
    "haskell.manageHLS": "PATH",
    "powermode.enabled": true,
    "powermode.combo.counterEnabled": "hide",
    "powermode.combo.location": "off",
    "powermode.combo.timerEnabled": "hide",
    "powermode.shake.enabled": false,
    "gitlens.advanced.messages": {
        "suppressCreatePullRequestPrompt": true
    },
    "update.showReleaseNotes": false,
    "git.openRepositoryInParentFolders": "always",
    "terminal.integrated.showExitAlert": false,
    "[cpp]": {
        "editor.defaultFormatter": "xaver.clang-format",
    },
    "lldb.suppressUpdateNotifications": true,
    "liveServer.settings.donotShowInfoMsg": true,
    "liveServer.settings.fullReload": true,
    "errorLens.enabledDiagnosticLevels": [
        "info",
        "error",
        "warning"
    ],
    "editor.tabFocusMode": false,
    "[java]": {
        "editor.defaultFormatter": "redhat.java"
    },
    "diffEditor.maxComputationTime": 0,
    "editor.formatOnSave": true,
    "[csharp]": {
        "editor.defaultFormatter": "muhammad-sammy.csharp"
    },
    "terminal.enableAppInsights": false,
    "gitlens.gitCommands.skipConfirmations": [
        "fetch:command",
        "stash-push:command",
        "switch:command",
        "push:command"
    ],
    "c-cpp-flylint.cppcheck.enable": false,
    "c-cpp-flylint.flexelint.enable": false,
    "rust-analyzer.restartServerOnConfigChange": true,
    "rust-analyzer.server.path": "/usr/bin/rust-analyzer",
    "deno.enable": true,
    "terminal.integrated.enableMultiLinePasteWarning": "never",
    "workbench.tree.enableStickyScroll": true,
    "mesonbuild.downloadLanguageServer": false,
    "python.interpreter.infoVisibility": "always",
    "python.languageServer": "Pylance",
    "extensions.autoUpdate": "onlySelectedExtensions",
    "bracket-pair-colorizer-2.depreciation-notice": false,
    // "autoSaveExt": {
    //     "extensions": [
    //         ".rs"
    //     ]
    // }
}